class Question {
  final String title;
  final List<Map> answers;

  Question({required this.title, required this.answers});
}

class QuestionsData {
  // Вопросы
  final questions = [
    Question(
      title:
          'Что Вы больше всего цените в своей работе? Можете дать один или два варианта ответа:',
      answers: [
        {'answer': 'Что я в основном сам решаю, что и как мне делать'},
        {
          'answer':
              'Что она дает мне возможность проявить то, что я знаю и умею'
        },
        {'answer': 'Что я чувствую себя полезным и нужным'},
        {'answer': 'Что мне за нее относительно неплохо платят'},
      ],
    ),
    Question(
      title:
          'Какое выражение из перечисленных ниже Вам подходит более всего? Дайте только один ответ:',
      answers: [
        {
          'answer':
              'Я хочу обеспечить своим трудом себе и своей семье приличный доход'
        },
        {'answer': 'В своей работе я полный хозяин'},
        {
          'answer':
              'У меня достаточно знаний и опыта, чтобы справиться с любыми трудностями в моей работе'
        },
        {'answer': 'Я ценный, незаменимый для организации работник'},
      ],
    ),
    Question(
      title:
          'Как Вы предпочитаете работать? Можете дать один или два варианта ответа:',
      answers: [
        {'answer': 'Предпочитаю делать то, что знакомо, привычно'},
        {
          'answer':
              'Нужно, чтобы в работе постоянно появлялось что-то новое, чтобы не стоять на месте'
        },
        {
          'answer':
              'Чтобы было точно известно, что нужно сделать и что я за это получу'
        },
        {'answer': 'Предпочитаю работать под полную личную ответственность'},
      ],
    ),
    Question(
      title:
          'Допустим, что Вам предлагают другую работу в Вашей организации. При каких условиях Вы бы на это согласились? Можете дать один или два варианта ответа:',
      answers: [
        {'answer': 'Если предложат намного более высокую зарплату'},
        {
          'answer':
              'Если другая работа будет более творческой и интересной, чем нынешняя'
        },
        {'answer': 'Если новая работа даст мне больше самостоятельности'},
        {'answer': 'Если это очень нужно для организации'},
      ],
    ),
    Question(
      title:
          '5. Попробуйте определить, что для Вас означает Ваш заработок? Можете дать один или два варианта ответа:',
      answers: [
        {'answer': 'Плата за время и усилия, потраченные на выполнение работы'},
        {'answer': 'Это прежде всего плата за мои знания, квалификацию'},
        {'answer': 'Оплата за общие результаты деятельности организации'},
        {
          'answer':
              'Мне нужен гарантированный заработок – пусть небольшой, но чтобы он был'
        },
      ],
    ),
  ];
}
